[dolphin] move settings to more appropriate location
AcceptedPublic

Authored by rjvbb on Apr 27 2020, 12:59 PM.

Details

Reviewers
ngraham
elvisangelaccio
meven
Group Reviewers
Dolphin
Summary

Certain of Dolphin's settings are (IMHO) included inappropriately in the Startup tab:

  • the "show full path in*" options
  • the open folders in new tabs option

these are not exclusively startup options and I've found it especially confusing and hard to remember that the folders-in-new-tabs option was listed under Startup. These options are much better at home under General/Behaviour and Navigation, respectively.

Test Plan

Works as intended: the moved options now appear under General/Behaviour/View as well as under Navigation.

Diff Detail

Repository
R318 Dolphin
Lint
Lint Skipped
Unit
Unit Tests Skipped
rjvbb created this revision.Apr 27 2020, 12:59 PM
Restricted Application added a subscriber: kfm-devel. · View Herald TranscriptApr 27 2020, 12:59 PM
rjvbb requested review of this revision.Apr 27 2020, 12:59 PM

I had been toying with this myself, especially the open in new tabs setting. It seems that many users are not finding it in the startup tab.

+1

src/settings/general/behaviorsettingspage.cpp
63

Please add a spacer between this checkbox and the radio button above it.

rjvbb marked an inline comment as done.Apr 27 2020, 4:43 PM
rjvbb added inline comments.
src/settings/general/behaviorsettingspage.cpp
63

Are you sure you want a full spacer there?

rjvbb updated this revision to Diff 81369.Apr 27 2020, 4:44 PM
rjvbb marked an inline comment as done.

Added spacer as requested.

Yeah you're right, a full separator is a bit much. Maybe a half-height one?

meven added a subscriber: meven.Apr 27 2020, 5:42 PM
meven added inline comments.
src/settings/general/behaviorsettingspage.cpp
70

Those translation context are pretty bad, all coming from the same copy/paste it seems.
How about moving this one to the "Navigation" page ?
Because I feel General/Behavior is getting quite cluttered.

rjvbb updated this revision to Diff 81384.Apr 27 2020, 9:48 PM

Updated as requested.

meven accepted this revision.Apr 28 2020, 7:04 AM
meven added reviewers: ngraham, elvisangelaccio.
This revision is now accepted and ready to land.Apr 28 2020, 7:05 AM
meven added a comment.Apr 28 2020, 7:08 AM

NB: One could argue that the entire "New windows" group could move to General/Behaviour ...

How about moving "New windows" to Navigation ?
(Not expected to be done here, could be done later)

Please update your commit comment.

rjvbb edited the summary of this revision. (Show Details)Apr 28 2020, 8:10 AM
rjvbb edited the test plan for this revision. (Show Details)
rjvbb added a comment.Apr 28 2020, 8:12 AM
How about moving "New windows" to Navigation ?
(Not expected to be done here, could be done later)

I'd say that the remaining options in that group aren't really about navigation but really about how the window should look. One could consider making the General/Behaviour/View group a panel which would hold all options that pertain to how results are presented.

(Such a panel could also hold the "Disable animations" option I'd like to implement ... or there'd then be place for that in General/Navigation :) )

Anyway, I'm almost certain we could take a hard look at the entire settings dialog first and see what other rearrangements could be made to improve it.

If we put "Open new Folders in Tabs" in the Navigation page I worry that it will defeat the entire point of this patch because people will continue to not find the setting (I think it's important that it end up on the General page). Also let me mention that I'm not really a fan of the Navigation page in general. It has a small number of very random-seeming items, which is odd for a top-level page when other top-level pages are crammed with stuff. I would be more in favor of moving its stuff into other paged over time.

If we're worried about the General page becoming visually overloaded with this patch, a quick fix for that is to turn the radio buttons into comboboxes, which express the same things but take up less space.

rjvbb added a comment.Apr 28 2020, 5:38 PM

Ha, OK, I'll let you figure this out among yourselves and update my patch once you've come to a consensus :P

Yeah sorry for the bikeshedding... :/

rjvbb added a comment.Apr 28 2020, 5:47 PM

No worry, I only followed this suggestion because I myself had looked for the open-in-tabs option in the Navigation panel more than once.

(But ... don't mention bikes to a Dutchman in a "German context", esp. one old enough to remember the jokes about returning our bikes when they were less stale and who's been in forced social isolation for too long ;) )

Anyway, I'm almost certain we could take a hard look at the entire settings dialog first and see what other rearrangements could be made to improve it.

Here I go! I know there is some value in keeping settings where they were but I ended up with a major restructuring. I quite like it but there are a lot of aspects I might have missed.

Removed top level pages: General, Navigation, Startup
Reasoning: General is too vague. Navigation is vague and almost empty. Settings from Startup are mostly visual settings: Users shouldn't really care about the technicality that they are re-applied only at startup time.

The settings of those pages were shared between the reworked top level pages Behavior, Interface and Folder View. With these three it seemed like all settings could be assigned quite clearly which should help with discoverability. If these category names and their contents are not self-explanatory I have failed so I'll refrain from telling my reasoning for now. I am only a bit unsure if "View Area" is the best name for the settings concerning the central view area. (I also had "Folder View" in mind.) Tab labels on these pages are marked like this.


Dolphin Preferences Rearrangement

Behavior (new top level page)

  • Folders & Tabs
Show on startup: (X) Folders, tabs, and window state from last time (from Startup) 
                 ( ) [Select start folder location]                 (from Startup) 
Opening folders: [X] Open new folders in tabs                       (from Startup, I couldn't figure out what was meant by "new folders" 
                                                                    without searching online. Maybe "Prefer tabs to new windows".) 
                 [ ] Open archives as folder                        (from _Navigation_)
                 [ ] Open folders during drag operations            (from _Navigation_)
  • Confirmations (unchanged)

Interface (new top level page)

             [ ] Show tooltips                      (from General>Behavior>Miscellaneous)
             [X] Rename inline                      (from General>Behavior>Miscellaneous, this one was the hardest for me to categorise)
                                                    (All of the following seem to apply instantly so they don't need to be in "Startup" imo.) 
Full path:   [ ] Show full path inside location bar (from Startup, renamed from "General:")
             [ ] Show full path in title bar        (from Startup) 
New windows: [ ] Show filter bar                    (from Startup)
             [ ] Make location bar editable         (from Startup)
Split view:  [ ] Begin in split view mode           (from Startup) 
             [ ] Switch between split views panes with tab key (from General>Behavior>Miscellaneous)
             [X] Turning off split view closes active pane     (from General>Behavior>Miscellaneous)
Status Bar:  [X] Show zoom slider                   (moved here from General>Status Bar)
             [X] Show space information             (moved here from General>Status Bar)

View Area (renamed from View Modes)

  • General
               [X] Show selection marker                       (from General>Behavior>Miscellaneous)
Display style: (X) Use common display style for all folders    (from General>Behavior>View)
               ( ) Remember display style for each folder      (from General>Behavior>View)
Sorting mode:  (X) Natural                                     (from General>Behavior) 
               ( ) Alphabetical, case insenstitive             (from General>Behavior) 
               ( ) Alphabetical, case sensitive                (from General>Behavior)
  • Previews (unchanged but moved here from General>Previews)
  • Icons view (unchanged but renamed from *Icons*)
  • Compact view (unchanged but renamed from *Compact*)
  • Details view (unchanged but renamed from *Details*)

Services (unchanged)
Trash (unchanged)

I like your split, for the most part. However the proposed Interface page seems a bit muddy to me; half the things there seem like behaviors (e.g. "rename inline", "show tooltips", "switch between split view panes with tab key") but aren't in the Behavior page) Perhaps it could be a sub/page tab of Behavior called "Main window" or something.

Perhaps we should start up a Phabricator task for this?

rjvbb added a comment.May 6 2020, 8:20 AM
I like your split, for the most part.

It's workable, but is it clearer/cleaner? I'd probably have to use it for a while to tell. The problem with this kind of dialog is that we don't use it that often - anything that does require you to "go deep into the settings dialog" probably justifies having an action that can be accessed much more directly.

However the proposed Interface page seems a bit muddy to me; half the things there seem like behaviors (e.g. "rename inline", "show tooltips", "switch between split view panes with tab key") but aren't in the Behavior page)

And "Open new folders in tabs" (which could just be "open tabs instead of windows", btw) is an interface thing. This is because a programme interface dictates how it interacts with the user, so part of its behaviour. One might be able to use this distinction a bit better by putting in "Interface" only the things that are about behaviours of the user and that are not clearly about something that is a reaction to user input (= a programme behaviour).
That would allow to put the whole "Interface" tab under "Behaviour".

Or, put "Behaviour" under "Interface" because the "View Area" section also has (mostly) behaviour/interface options...

Maybe "Interaction" would be more appropriate or at least speak more to users who are not developers?

I created a task.